Bulletin d'alerte Debian

DSA-1782-1 mplayer -- Plusieurs vulnérabilités

Date du rapport :
29 avril 2009
Paquets concernés :
mplayer
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 508803.
Dans le dictionnaire CVE du Mitre : CVE-2009-0385, CVE-2008-4866, CVE-2008-5616.
Plus de précisions :

Plusieurs vulnérabilités ont été découvertes dans MPlayer, un lecteur de films pour les systèmes de type UNIX. Le projet « Common Vulnerabilities and Exposures » (CVE) identifie les problèmes suivants.

  • CVE-2009-0385

    La lecture d'un film 4X contrefait pourrait conduire à l'exécution de code arbitraire.

  • CVE-2008-4866

    De multiples dépassements de tampon pourraient conduire à l'exécution de code arbitraire.

  • CVE-2008-5616

    La lecture d'un fichier TwinVQ contrefait pourrait conduire à l'exécution de code arbitraire.

Pour la distribution oldstable (Etch), ces problèmes ont été corrigés dans la version 1.0~rc1-12etch7.

Pour la stable distribution stable (Lenny), mplayer utilise ffmpeg-debian.

Pour les distributions testing (Squeeze) et unstable (Sid), mplayer utilise ffmpeg-debian.

Nous vous recommandons de mettre à jour vos paquets mplayer.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1.orig.tar.gz
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7.dsc
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7.diff.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/m/mplayer/mplayer-doc_1.0~rc1-12etch7_all.deb
Alpha:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_mips.deb
PowerPC:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/m/mplayer/mplayer_1.0~rc1-12etch7_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.